/** @jsx createElement */

'use strict';

import { createElement, PureComponent, PropTypes } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import ScrollView from 'nuke-scroll-view';
import Styles from './styles';
import Intro from './item';

class Page extends PureComponent {
  constructor(props) {
    super(props);
  }
  render() {
    return (
      <ScrollView style={Styles.container}>
        <View style={Styles.title}>
          <View style={Styles.title_wrap}>
            <Text style={Styles.title_text}>{this.props.title}</Text>
          </View>
        </View>
        {this.props.children}
        <View id="_nuke_overlay_wrap_" />
      </ScrollView>
    );
  }
}
Page.Intro = Intro;
export default Page;
